Mailinglist Archive: opensuse-factory (266 mails)

< Previous Next >
Re: [opensuse-factory] pythone-Fabric3 - openSUSE:Leap:15.2 - Build fail notification
On 5/24/2020 16:05, openSUSE release team wrote:
Dear Package maintainers and hackers.

Below package(s) in openSUSE:Leap:15.2 have been failing to build for at
least 4 weeks....

- python-Fabric3
This package (Fabric3) has declared itself deprecated [1] because its sole purpose as a fork was to implement Python 3 support for Fabric, and Fabric now supports 3. I think python-Fabric (the original) should be used anywhere python-Fabric3 is currently required and python-Fabric3 should be dropped.

The only package I can see in Tumbleweed that requires python-Fabric3 is python-avocado (and a sub-package). I created a request which updates this requires to python-Fabric [2]. I don't know how to search Leap 15.2 to see if any of the packages there currently require it though.

--
Jason Craig

[1] https://github.com/mathiasertl/fabric/blob/master/README.rst
[2] https://build.opensuse.org/request/show/808822
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >